<div id="timeline">
  <ng-container *ngFor="let point of points; let i = index; let last = last;">
    <div class="circle" [title]="point.value" [ngClass]="{'active animated pulse infinite' : i === activePoint, 'previous' : i < activePoint}" (click)="selectPoint(i)">
      <span class="label">{{point.label}}</span>
    </div>
    <div *ngIf="!last" class="bar-container">
      <div class="bar" [ngClass]="{'previous' : i < activePoint, 'active' : i === activePoint, 'inactive' : i > activePoint }"></div>
    </div>
  </ng-container>
</div>
